<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Class Members - Enumerations</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>AttachmentType
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html#a008551364c461b579379796935f2e66e">alexaClientSDK::avsCommon::avs::attachment::AttachmentManager</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>BlueZDeviceState
: <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_bluetooth_device.html#a9f74fef47c51e478579bd780c8ba6019">alexaClientSDK::bluetoothImplementations::blueZ::BlueZBluetoothDevice</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>CallState
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_call_state_observer_interface.html#a4aa43d132f855115fbc6c8b56e3ade76">alexaClientSDK::avsCommon::sdkInterfaces::CallStateObserverInterface</a>
</li>
<li>CapabilitiesPublishReturnCode
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_delegate_interface.html#a308921551aa4ab991412bc83768207b7">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesDelegateInterface</a>
</li>
<li>ChangedReason
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a>
</li>
<li>ChannelLayout
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_playback_configuration.html#ad26d422a2e3694dbf4d5eeaf5ff6e233">alexaClientSDK::mediaPlayer::android::PlaybackConfiguration</a>
</li>
<li>ClosePoint
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#aa294a325880ee91da440be7008099f2f">alexaClientSDK::avsCommon::avs::attachment::AttachmentReader</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>DialogUXState
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html#a728a1ce41f6997d23f740e452dc5e066">alexaClientSDK::avsCommon::sdkInterfaces::DialogUXStateObserverInterface</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>Encoding
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1338278de3fb92400e7ac33373cf1f22">alexaClientSDK::avsCommon::utils::AudioFormat</a>
</li>
<li>Endianness
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21">alexaClientSDK::avsCommon::utils::AudioFormat</a>
</li>
<li>Error
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">alexaClientSDK::avsCommon::sdkInterfaces::AuthObserverInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#ac5355f9a98b5f65b3a5fa3603b1035a8">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesObserverInterface</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>FetchOptions
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a>
</li>
<li>FunctionCalled
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_capability_agent.html#a0868cd55a95c08ba33b9a6e4440d8ee9">alexaClientSDK::avsCommon::test::MockCapabilityAgent</a>
</li>
</ul>


<h3><a id="index_k"></a>- k -</h3><ul>
<li>KeyType
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a8dba8c0444a0cc2aaed5b8353c513eea">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>
</li>
<li>KeyWordDetectorState
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_detector_state_observer_interface.html#a21803055867165b26a00c12c65aa04b9">alexaClientSDK::avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>Layout
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#adb010268af911ce6cb96b3172030f679">alexaClientSDK::avsCommon::utils::AudioFormat</a>
</li>
<li>Location
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63">alexaClientSDK::avsCommon::utils::Metrics</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>MediumEnum
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html#a62a8eb926fee107af24e964130f45299">alexaClientSDK::avsCommon::avs::BlockingPolicy::Medium</a>
</li>
<li>Method
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html#a06a04ec9adca12edcb1900f62f80860c">alexaClientSDK::avsCommon::utils::playlistParser::EncryptionInfo</a>
</li>
<li>ModuleState
: <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pulse_audio_bluetooth_initializer.html#a6bf5c3e429844b28153319aa293155e6">alexaClientSDK::bluetoothImplementations::blueZ::PulseAudioBluetoothInitializer</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>ParseFromJsonStatus
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#ae9d9bccbd753f88f8f747cfc31fbbfc7">alexaClientSDK::capabilityAgents::alerts::Alert</a>
</li>
<li>ParseStatus
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html#aec5d27fc4922b753ff8952280d54000a">alexaClientSDK::avsCommon::avs::AVSDirective</a>
</li>
<li>PeriodType
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1_timer.html#a3abfcab70fb00bbe0fb6137c8e15b77b">alexaClientSDK::avsCommon::utils::timing::Timer</a>
</li>
<li>PlaylistType
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_parser_interface.html#a740ba431010fcb299ba2b193a9edc484">alexaClientSDK::avsCommon::utils::playlistParser::PlaylistParserInterface</a>
</li>
</ul>


<h3><a id="index_q"></a>- q -</h3><ul>
<li>QueueEvent
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_queue.html#afdfda08735cf877ed378547a19fadef7">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaQueue</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>ReadStatus
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#abf0a8d5bc9decff5049c41eaabe75f74">alexaClientSDK::avsCommon::avs::attachment::AttachmentReader</a>
</li>
<li>RecognizeStopPoint
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test_1_1_audio_input_processor_test.html#a1a45ca6eb61b80704c8a9cf08f528840">alexaClientSDK::capabilityAgents::aip::test::AudioInputProcessorTest</a>
</li>
<li>Result
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_input_controller_interface.html#a154edb0d28b72a64d7bbec454c2fde7b">alexaClientSDK::mediaPlayer::android::FFmpegInputControllerInterface</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>SampleFormat
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_playback_configuration.html#a66a4a30a065b604abfdc9cfd0ba07e1d">alexaClientSDK::mediaPlayer::android::PlaybackConfiguration</a>
</li>
<li>Source
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#a38d6a50cc5799f07612827e1a163babb">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerManagerObserverInterface</a>
</li>
<li>SpeechSynthesizerState
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fe">alexaClientSDK::avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface</a>
</li>
<li>State
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_input_processor_observer_interface.html#aaec10009cef97fa38316fb0f2beab1c7">alexaClientSDK::avsCommon::sdkInterfaces::AudioInputProcessorObserverInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a62a72a6ac191b845c9a379a7d4ad56f4">alexaClientSDK::avsCommon::sdkInterfaces::AuthObserverInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#a0638b7e7b3ae7d69b2e142eae333d1f8">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesObserverInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_synchronizer_observer_interface.html#a32cb0a0e9f9c1c7e18c1964c8eb9914f">alexaClientSDK::avsCommon::sdkInterfaces::StateSynchronizerObserverInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62">alexaClientSDK::capabilityAgents::alerts::Alert</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1ab">alexaClientSDK::capabilityAgents::alerts::renderer::RendererObserverInterface</a>
</li>
<li>StatLevel
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage_1_1_s_q_lite_alert_storage.html#a1ffc4c73d49e0554e8dc67ec2ecd2a4e">alexaClientSDK::capabilityAgents::alerts::storage::SQLiteAlertStorage</a>
</li>
<li>Status
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_decoder_interface.html#a9492e3fa64bb8378d08829ae2be162cb">alexaClientSDK::mediaPlayer::android::DecoderInterface</a>
</li>
<li>StopCaptureDirectiveSchedule
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test_1_1_audio_input_processor_test.html#ab4b19df5920f48a3be1c5569164f4376">alexaClientSDK::capabilityAgents::aip::test::AudioInputProcessorTest</a>
</li>
<li>StopReason
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3f3b31fc54d94c3ada26cc9c6e51f158">alexaClientSDK::capabilityAgents::alerts::Alert</a>
</li>
<li>StreamingState
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth.html#a26588885904c53ba009ea1d5cc1b800c">alexaClientSDK::capabilityAgents::bluetooth::Bluetooth</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>TagType
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface.html#ab8bd9f2e13a80beba778f9effcf768f9">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface</a>
</li>
<li>TransferType
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#af99f8694e53fbfa4fd3e291f53f7ef55">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper</a>
</li>
<li>Type
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface</a>
, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#af3b87e4cff421011b7977d5657fa08fc">alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_1_1_directive_params.html#ae29f7af67e830c57e7eef7ff0418e640">alexaClientSDK::integration::test::TestDirectiveHandler::DirectiveParams</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#a9237f75ca3f262bf75e5eedda1275fd5">alexaClientSDK::integration::test::TestExceptionEncounteredSender::ExceptionParams</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender_1_1_send_params.html#a54c389020d1074712ead473e1fa859ed">alexaClientSDK::integration::test::TestMessageSender::SendParams</a>
, <a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_play_item.html#af44b43d7806455ea2ec85941c77cd246">alexaClientSDK::playlistParser::PlayItem</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>ValueType
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#ab18544389e7b78a72b7a073d52410990">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>WriteStatus
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_writer.html#a81b93cbd38af8b85c587c72e69cd0d86">alexaClientSDK::avsCommon::avs::attachment::AttachmentWriter</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
